"
 COPYRIGHT (c) 2000 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"


PopUpView subclass:#PopUpBanner
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Views-Basic'
!

!PopUpBanner class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2000 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

!

documentation
"
    Shows a banner popUp;
    can be used at startup to make wait-time a bit more interesting.
    See use in smalltalk.rc / showBanner.rc / hideBanner.rc.

    [author:]
        Claus Gittinger
"

! !

!PopUpBanner class methodsFor:'instance creation'!

forImage:anImage
    |v|

    v := self new.
    v viewBackground:anImage.
    ^ v
! !

!PopUpBanner methodsFor:'activation'!

open
    "default for popUpBanners is to come up modeless"

    self realize

!

showCentered
    self extent:viewBackground extent.
    self showAt:((self device extent // 2) - (viewBackground extent // 2))


! !

!PopUpBanner methodsFor:'queries'!

grabWhenMapped
    ^ false
! !

!PopUpBanner class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libview2/PopUpBanner.st,v 1.3 2000-01-26 14:50:59 cg Exp $'
! !
